# Spawns a huge bunch of cars when you press 9+0

import mbase
import mped
import mveh
import ment

import xkeypress

keyMonitor = xkeypress.KeyPressMonitor()

def eventFrame():
    global keyMonitor
    
    keyMonitor.processKeys()
    
def spawnVehicleGrid(animInfo):
	center = ment.getEntPosition(mped.getPlayerPed())
	rotation = (0.0, 0.0, 0.0)
	side = 50.0
	side2 = 100.0
	
	for i in range(0, 100):
		row = i % 10
		col = i // 10
		
		pos = (center[0] - side / 2 + side / 9 * row, center[1] - side2 / 2 + side2 / 9 * col, center[2] + 2)
		
		mveh.createVehicle(130 + i, pos, rotation, 1)
    
keyMonitor.registerCombination([48, 57], spawnVehicleGrid, None, None) #key combination 9+0

mbase.registerCallback("eventFrame", eventFrame)
